Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • 開発Sitecore Personalize
    • ベースURL
    • レスポンスコード
        • 意思決定モデルバリアントの作成
        • ディシジョンモデルバリアントの取得
        • 意思決定モデルバリアントの更新
        • デシジョンモデルバリアントのリビジョンの取得
        • デシジョンモデルバリアントのリビジョンの取得
  1. 意思決定モデルバリアントREST API
  1. REST API
  2. 意思決定モデルバリアントREST API
  3. 意思決定モデルバリアントの更新

意思決定モデルバリアントの更新

日本語翻訳に関する免責事項

このページの翻訳はAIによって自動的に行われました。可能な限り正確な翻訳を心掛けていますが、原文と異なる表現や解釈が含まれる場合があります。正確で公式な情報については、必ず英語の原文をご参照ください。

GET /v2/decisionModelVariants/{:placeholder-token:}<decisionModelVariantRef>{/:placeholder-token:}

ディシジョンモデルバリアントを更新します。

属性

種類

形容

例

{:placeholder-token:}decisionModelVariantRef{/:placeholder-token:}

糸

ディシジョンモデルバリアントの参照。

意思決定モデル・バリアント参照がわからない場合は、まず 意思決定モデル・バリアントを取得します。

c682b6b6-934b-415b-bc46-ce6184809156

少なくとも、要求本文で次の必須属性を指定する必要があります。

属性

種類

形容

例

name

糸

デシジョンモデルの名前。

"Determine Ancillary Upsell Variant 2"

definition

糸

デシジョンキャンバスに属するデシジョンモデルバリアントの定義。

該当なし

curl -X PUT '<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json' \
--raw-data '
{
    "name": "Determine Ancillary Upsell Variant 2",
    "definition": "Control"
}'
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156",
    "ref": "c682b6b6-934b-415b-bc46-ce6184809156",
    "name": "Determine Ancillary Upsell Variant 2",
    "modifiedByUserRef": "25f46901-bc51-45e8-b587-148aecf1e48f",
    "modifiedAt": "2018-10-12T13:13:53.454Z",
    "revision": 5,
    "archived": false,
    "decisionModelDefinitionRef": "6d009415-294a-4981-9341-bfa0d4867c50",
    "definition": "Control",
    "transpiledDefinition": "Control",
    "revisions": {
        "href": "<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156/revisions"
    },
    "offers": []
}
この記事を改善するための提案がある場合は、 お知らせください!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use